%define module 	Authen-PAM
%define version 0.11
%define release 2mdk

Summary:	Authen-PAM perl module
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://www.cs.kuleuven.ac.be/~pelov/pam/
Source0:	%{module}-%{version}.tar.bz2
BuildRequires:	perl >= 5.6
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

%description
Authen-PAM perl module

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} 
%{__make}


%install
rm -rf $RPM_BUILD_ROOT

eval `perl '-V:installarchlib'`
install -d $RPM_BUILD_ROOT/$installarchlib

%{__make} PREFIX=$RPM_BUILD_ROOT%{_prefix} install

install -d $RPM_BUILD_ROOT/%{_datadir}
find $RPM_BUILD_ROOT%{_prefix} -type f -print | sed "s@^$RPM_BUILD_ROOT@@g"| \
	grep -v perllocal.pod | grep -v .packlist | grep -v .bs > \
	%{module}-%{version}-filelist
perl -p -i -e 's/\.3/\.3\.bz2/g' %{module}-%{version}-filelist


%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{module}-%{version}-filelist
%defattr(-,root,root)
%doc README MANIFEST Changes


%changelog
* Mon Jul  2 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.11-2mdk
- rebuild

* Thu Apr 19 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 0.11-1.1mdk
- removed samples from doc
- changed spec name

* Thu Apr 12 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 0.11-1mdk
- First Mandrake release






